<?php
/*
    Sample External Page - GuppY PHP Script - version 4.5
    CeCILL Copyright (C) 2004-2005 by Laurent Duveau
    Initiated by Laurent Duveau and Nicolas Alvs,
    followed by Albert Aymard, Jean Michel Misrachi and all the Team
      Web site = http://www.freeguppy.org/
      e-mail   = info@aldweb.com

    This is a sample external PHP script that integrates with GuppY
		modified for Cryptographp plugin exemple of use.

    Version History :
      v2.3 (27 July 2003)      : initial release (by Isabelle)
      v2.4 (24 September 2003) : no change
      v3.0 (25 February 2004)  : moved to pages/ directory
      v4.0 (06 December 2004)  : Added text in many languages (by Jean-Mi)
	  v4.5 (27 April 2005)     : Added page title (thanks Ricsen)
*/

header("Pragma: no-cache");
define("CHEMIN", "../");
// cryptographp ==>
$cryptinstall=CHEMIN.'plugins/cryptographp/cryptographp.fct.php';
$cryptok = false;
include_once $cryptinstall;
// <== cryptographp

include(CHEMIN."inc/includes.inc");

// cryptographp ==>
include_once(CHEMIN.'plugins/cryptographp/inc/function.inc');
$crypt = isset($_POST['crypt'])?$striptags($_POST['crypt']):NULL;

if ($validForm) { // on a valid le formulaire
	if (chk_crypt($crypt)) { // cryptographp
		// le code est valide
		$cryptok = true;
		/* mettre ici les oprations de traitement suite  la validation du formulaire
		 * vrifications des valeurs,
		 * mails  l'administrateur,
		 * mise  jour d'une base...
		 */
	}
	else {
		// le code n'est pas valide

	}
}
// <== cryptographp

if ($lng == $lang[0]) {
  $topmess = "Titre de la fentre en langue principale";
}
else {
  $topmess = "Window title in secondary language";
}
include(CHEMIN."inc/hpage.inc");

if ($lng == $lang[0]) {
  htable("Titre en langue principale", "100%");
	// Dbut du texte HTML dans la langue principale...

	// cryptographp ==>
	if (!$validForm || !$cryptok) {
		// on n'a pas encore valid le formulaire ou le code est faux
		?>
		<form name="cryptoForm" action="" method="post">
  		<input type="hidden" name="validForm" value="true" />
  		<input type="hidden" name="lng" value="<?php echo $lng; ?>" />
			<!--
			Ici le contenu de votre formulaire
			-->
			<!-- le cryptogramme en lui mme...  -->
			<table>
		    <tr>
					<td align="center"><?php
						if ($cp_cfg[6]) dsp_crypt(0,1,2,1);
						else dsp_crypt(0,1);
					?></td>
		    </tr>
				<tr>
					<td align="center"><?php echo $cp_web2; ?><input type="text" name="crypt" size="10" /></td>
				</tr>
			</table>
			<!-- <== fin cryptogramme -->
  	</form>
		<?php
	}
	else {
		// message faisant suite  la validation du formulaire avec code OK
	}
	// <== cryptographp

	// ...Fin du texte HTML en langue principale
}
else {
	htable("Titre en langue secondaire", "100%");
	// Dbut du texte HTML dans la langue secondaire...

	// cryptographp ==>
	if (!$validForm || !$cryptok) {
		// on n'a pas encore valid le formulaire ou le code est faux
		?>
		<form name="cryptoForm" action="" method="post">
  		<input type="hidden" name="validForm" value="true" />
  		<input type="hidden" name="lng" value="<?php echo $lng; ?>" />
			<!--
			Ici le contenu de votre formulaire
			-->
			<!-- le cryptogramme en lui mme...  -->
			<table>
		    <tr>
					<td align="center"><?php
						if ($cp_cfg[6]) dsp_crypt(0,1,2,1);
						else dsp_crypt(0,1);
					?></td>
		    </tr>
				<tr>
					<td align="center"><?php echo $cp_web2; ?><input type="text" name="crypt" size="10" /></td>
				</tr>
			</table>
			<!-- <== fin cryptogramme -->
		</form>
		<?php
	}
	else {
		// message faisant suite  la validation du formulaire avec code OK
	}
	// <== cryptographp

	// ...Fin du texte HTML en langue secondaire -->
}
btable();
include(CHEMIN."inc/bpage.inc");
?>